## beast2-mcmc 2.4.4%2Bdfsg

=== doc/tutorials/EBSP/Makefile ===
all: ebsp2-tut

ebsp2-tut: ebsp2-tut.pdf
	mkdir ebsp2-tut
	cp -R ebsp2-tut.pdf scripts mystery-mammal ebsp2-tut
	zip -r ebsp2-tut.zip ebsp2-tut
	rm -rf ebsp2-tut

ebsp2-tut.pdf: ebsp2-tut.tex
	pdflatex ebsp2-tut
	bibtex ebsp2-tut
	pdflatex ebsp2-tut
	pdflatex ebsp2-tut

clean:
	rm -f ebsp2-tut.aux ebsp2-tut.bbl ebsp2-tut.blg ebsp2-tut.log ebsp2-tut.pdf ebsp2-tut.zip

## beast2-mcmc 2.4.2+dfsg

=== debian/changelog ===
beast2-mcmc (2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix beauti2 script
  * Respect proxy settings in beauti2 script

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jul 2016 13:57:12 +0200

beast2-mcmc (2.4.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #823396)

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2016 13:14:47 +0200

=== debian/control ===
Source: beast2-mcmc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               javahelper,
               ant,
               ant-optional,
               openjdk-8-jdk,
               libjam-java,
               libhmsbeagle-java,
               libcolt-free-java,
               libfest-util-java,
               libantlr4-runtime-java,
               junit4,
               texlive-latex-base,
               texlive-latex-extra
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/beast2-mcmc.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/beast2-mcmc.git
Homepage: http://www.beast2.org

Package: beast2-mcmc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhmsbeagle-java (>= 1.1r1092),
         ${java:Depends},
         openjdk-8-jre | java8-runtime
Suggests: beast2-mcmc-doc
Description: Bayesian MCMC phylogenetic inference
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.
 .
 This is no new upstream version of beast-mcmc (1.x) but rather a rewritten
 version.

Package: beast2-mcmc-examples
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: beast2-mcmc
Description: Bayesian MCMC phylogenetic inference - example data
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.
 .
 This package contains the example data.

Package: beast2-mcmc-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: beast2-mcmc
Description: Bayesian MCMC phylogenetic inference - documentation
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular 
 sequences. It is entirely orientated towards rooted, time-measured 
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a 
 framework for testing evolutionary hypotheses without conditioning on a 
 single tree topology. BEAST uses MCMC to average over tree space, so that 
 each tree is weighted proportional to its posterior probability. Included 
 is a simple to use user-interface program for setting up standard 
 analyses and a suit of programs for analysing the results.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/CompEvol/beast2/releases .*/archive/v(\d[\d.-pre]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## beast2-mcmc 2.4.4+dfsg

=== debian/changelog ===
beast2-mcmc (2.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 11:20:11 +0100

beast2-mcmc (2.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/watch: stop reporting pre-releases

 -- Andreas Tille <tille@debian.org>  Tue, 30 Aug 2016 08:32:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                javahelper,
                ant,
                ant-optional,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for beast-mcmc
# Andreas Tille <tille@debian.org>
# GPL

#export DH_VERBOSE=1

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

JAVA_HOME  := /usr/lib/jvm/default-java

DEBJAR    := /usr/share/java
CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:lib/colt.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar

# to run the test suite
JAVA       := $(JAVA_HOME)/bin/java
ANT_HOME   := /usr/share/ant
ANT_BIN    := $(ANT_HOME)/bin/ant
ANT_ARGS   := -Dcompile.debug=true -Dcompile.optimize=true

%:
	dh $@ --with javahelper

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
PDFLATEX:=pdflatex -interaction=batchmode

override_dh_auto_build:
	# move tests requiring fest.swing out of the way
	mv src/test/beast/app/beauti debian/fest_swing_tests
	dh_auto_build
	mv debian/fest_swing_tests src/test/beast/app/beauti

override_dh_compress:
	dh_compress --exclude=.pdf

## beast2-mcmc 2.5.1+dfsg

=== debian/changelog ===
beast2-mcmc (2.5.1+dfsg-2) unstable; urgency=medium

  * Avoid Mac only code which is not needed and fails due missing
    support in latest libjam-java
    Closes: #919728
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jan 2019 08:10:27 +0100

beast2-mcmc (2.5.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata:
    - added RRIDs
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * Build-Depends: s/openjdk-8-jdk/default-jdk/
    Closes: #894359
  * Depends: s/openjdk-8-jre | java8-runtime/default-jre | java9-runtime/
  * d/rules: Add antlr4-runtime.jar to CLASS_PATH
  * Standards-Version: 4.2.1
  * d/rules: Do not parse d/changelog

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 07:57:09 +0100

=== debian/control ===
Source: beast2-mcmc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               javahelper,
               ant,
               ant-optional,
               default-jdk,
               libjam-java,
               libhmsbeagle-java,
               libcolt-free-java,
               libfest-util-java,
               libantlr4-runtime-java,
               junit4,
               texlive-latex-base,
               texlive-latex-extra
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/beast2-mcmc
Vcs-Git: https://salsa.debian.org/med-team/beast2-mcmc.git
Homepage: http://www.beast2.org

Package: beast2-mcmc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhmsbeagle-java (>= 1.1r1092),
         ${java:Depends},
         default-jre | java9-runtime
Suggests: beast2-mcmc-doc
Description: Bayesian MCMC phylogenetic inference
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
 sequences. It is entirely orientated towards rooted, time-measured
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a
 framework for testing evolutionary hypotheses without conditioning on a
 single tree topology. BEAST uses MCMC to average over tree space, so that
 each tree is weighted proportional to its posterior probability. Included
 is a simple to use user-interface program for setting up standard
 analyses and a suit of programs for analysing the results.
 .
 This is no new upstream version of beast-mcmc (1.x) but rather a rewritten
 version.

Package: beast2-mcmc-examples
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: beast2-mcmc
Description: Bayesian MCMC phylogenetic inference - example data
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
 sequences. It is entirely orientated towards rooted, time-measured
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a
 framework for testing evolutionary hypotheses without conditioning on a
 single tree topology. BEAST uses MCMC to average over tree space, so that
 each tree is weighted proportional to its posterior probability. Included
 is a simple to use user-interface program for setting up standard
 analyses and a suit of programs for analysing the results.
 .
 This package contains the example data.

Package: beast2-mcmc-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: beast2-mcmc
Description: Bayesian MCMC phylogenetic inference - documentation
 BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
 sequences. It is entirely orientated towards rooted, time-measured
 phylogenies inferred using strict or relaxed molecular clock models. It
 can be used as a method of reconstructing phylogenies but is also a
 framework for testing evolutionary hypotheses without conditioning on a
 single tree topology. BEAST uses MCMC to average over tree space, so that
 each tree is weighted proportional to its posterior probability. Included
 is a simple to use user-interface program for setting up standard
 analyses and a suit of programs for analysing the results.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 #export DH_VERBOSE=1
 
-PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-
 JAVA_HOME  := /usr/lib/jvm/default-java
 
 DEBJAR    := /usr/share/java
-CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:lib/colt.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar
+# This does not seem to have any effect at all.  The only way to add
+# CLASSPATH relieably is editing build.xml
+# CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(DEBJAR)/antlr4-runtime.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:$(DEBJAR)/colt.jar:$(DEBJAR)/fest-util.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar
 
 # to run the test suite
 JAVA       := $(JAVA_HOME)/bin/java

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/CompEvol/beast2/releases .*/archive/v(\d[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## beast2-mcmc 2.6.0+dfsg

=== debian/changelog ===
beast2-mcmc (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 14:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                javahelper,
                ant,
                ant-optional,
@@ -17,7 +17,7 @@
                junit4,
                texlive-latex-base,
                texlive-latex-extra
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/beast2-mcmc
 Vcs-Git: https://salsa.debian.org/med-team/beast2-mcmc.git
 Homepage: http://www.beast2.org
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libhmsbeagle-java (>= 1.1r1092),
+         libhmsbeagle-java,
          ${java:Depends},
          default-jre | java9-runtime
 Suggests: beast2-mcmc-doc

=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,6 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
+
+override_dh_auto_clean:
+	# skip as it needs patches applied

## beast2-mcmc 2.6.3+dfsg

=== debian/changelog ===
beast2-mcmc (2.6.3+dfsg-2) unstable; urgency=medium

  * Adding missing runtime dependencies
  * Simplifying java invocations in files in debian/bin
  * Adding missing classpath entries and runtime dependencies
  * Adapting paths to a Debian install in the main class
  * Adding an autopkgtest by running examples
  * Adding build-time tests as autopkgtests
  * Marking Debian-specific patches as Forwarded: not-needed
  * Providing a doc-base file for registration of pdf docs
  * Installing files in folders named beast2-mcmc instead of beast-mcmc2
    or beast-mcmc
  * Marking doc and examples packages as Multi-Arch: foreign
  * Stop using commons-math.jar and documenting in d/README.source

 -- Pierre Gruet <pgtdebian@free.fr>  Sat, 03 Oct 2020 14:23:41 +0200

beast2-mcmc (2.6.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pierre Gruet ]
  * Removing jsign from the build as it is needed for Microsoft Windows
  * Deleting accents in MCMC.java as they caused build failures
  * Removing the import of useless and unpackaged org.fest.swing.security

 -- Andreas Tille <tille@debian.org>  Tue, 15 Sep 2020 11:38:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: beast2-mcmc
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Olivier Sallou <osallou@debian.org>
+           Olivier Sallou <osallou@debian.org>,
+           Pierre Gruet <pgtdebian@free.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                javahelper,
                ant,
                ant-optional,
@@ -17,16 +18,20 @@
                junit4,
                texlive-latex-base,
                texlive-latex-extra
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/beast2-mcmc
 Vcs-Git: https://salsa.debian.org/med-team/beast2-mcmc.git
-Homepage: http://www.beast2.org
+Homepage: https://www.beast2.org
+Rules-Requires-Root: no
 
 Package: beast2-mcmc
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libhmsbeagle-java,
+         libjam-java,
+         libcolt-free-java,
+         libantlr4-runtime-java,
          ${java:Depends},
          default-jre | java9-runtime
 Suggests: beast2-mcmc-doc
@@ -50,6 +55,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Enhances: beast2-mcmc
+Multi-Arch: foreign
 Description: Bayesian MCMC phylogenetic inference - example data
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
  sequences. It is entirely orientated towards rooted, time-measured
@@ -69,6 +75,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Enhances: beast2-mcmc
+Multi-Arch: foreign
 Description: Bayesian MCMC phylogenetic inference - documentation
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
  sequences. It is entirely orientated towards rooted, time-measured

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# debian/rules file for beast-mcmc
+# debian/rules file for beast2-mcmc
 # Andreas Tille <tille@debian.org>
 # GPL
 
@@ -11,7 +11,7 @@
 DEBJAR    := /usr/share/java
 # This does not seem to have any effect at all.  The only way to add
 # CLASSPATH relieably is editing build.xml
-# CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(DEBJAR)/antlr4-runtime.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:$(DEBJAR)/colt.jar:$(DEBJAR)/fest-util.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:$(DEBJAR)/commons-math.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar
+# CLASS_PATH := /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/share/ant/lib/ant-nodeps.jar:/usr/share/ant/lib/ant-junit.jar:$(DEBJAR)/antlr4-runtime.jar:$(JAVA_HOME)/lib/tools.jar:$(DEBJAR)/beagle.jar:$(DEBJAR)/mpj.jar:$(DEBJAR)/org.boehn.kmlframework.jar:$(DEBJAR)/itext1-1.4.jar:$(DEBJAR)/junit4.jar:$(DEBJAR)/figtree.jar:$(DEBJAR)/colt.jar:$(DEBJAR)/fest-util.jar:$(DEBJAR)/options.jar:$(DEBJAR)/mtj.jar:$(DEBJAR)/jam.jar:$(DEBJAR)/jdom1.jar:$(DEBJAR)/jebl.jar:/usr/lib/R/site-library/rJava/jri/JRI.jar
 
 # to run the test suite
 JAVA       := $(JAVA_HOME)/bin/java

=== debian/tests/control ===
Test-Command: ./debian/tests/run-unit-test
Depends: beast2-mcmc, beast2-mcmc-examples
Restrictions: allow-stderr

Tests: run-build-tests
Depends: beast2-mcmc, default-jdk, junit4, libfest-util-java
Restrictions: allow-stderr

## beast2-mcmc 2.6.6+dfsg

=== debian/changelog ===
beast2-mcmc (2.6.6+dfsg-2) unstable; urgency=medium

  * Lowering heap size on 32 bit architectures

 -- Pierre Gruet <pgt@debian.org>  Mon, 23 Aug 2021 16:40:39 +0200

beast2-mcmc (2.6.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.6+dfsg
  * Updating d/watch to match new Github release/tag page
  * Raising Standards version to 4.6.0 (no change)
  * Exporting LC_ALL in d/rules to care for unmappable characters in source
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Thu, 19 Aug 2021 17:11:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Olivier Sallou <osallou@debian.org>,
-           Pierre Gruet <pgtdebian@free.fr>
+           Pierre Gruet <pgt@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -18,7 +18,7 @@
                junit4,
                texlive-latex-base,
                texlive-latex-extra
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/beast2-mcmc
 Vcs-Git: https://salsa.debian.org/med-team/beast2-mcmc.git
 Homepage: https://www.beast2.org

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # GPL
 
 #export DH_VERBOSE=1
+export LC_ALL=C.UTF-8
 
 JAVA_HOME  := /usr/lib/jvm/default-java

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/CompEvol/beast2/releases (?:.*?/)?v?(\d[\d.]*)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## beast2-mcmc 2.6.7+dfsg

=== debian/changelog ===
beast2-mcmc (2.6.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.7+dfsg
  * Reworking debian/copyright

 -- Pierre Gruet <pgt@debian.org>  Fri, 22 Apr 2022 15:59:01 +0200

## beast2-mcmc 2.7.2+dfsg

=== debian/changelog ===
beast2-mcmc (2.7.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unneeded override_dh_auto_build

  [ Kieran Elmes ]
  * include /usr/lib/x86_64-linux-gnu in java.library.path

  [ Pierre Gruet ]
  * New upstream version 2.7.2+dfsg
  * Refreshing patches
  * Refreshing d/copyright
  * Packaging:
    - Including the beastfx component in the source, making a MUT package
    - Excluding JS files with very-long-lines
    - Stopping building the -doc package, its contents is not in the upstream
      tarball anymore
  * Updating dependencies and classpath
  * Cleaning the d/patches directory
  * Removing the dependencies of the built jars to alleviate them
  * debian/rules:
    - Invoking antlr4 during the build to generate source from grammar files
      using a Debian-packaged antlr4 version
    - Overriding the _auto_build and _auto_test rules to call the relevant ant
      tasks
  * Managing tests:
    - Adding an explicit conversion from Double to double to disambiguate
      an assertion in a test
    - Skipping tests using the unpackaged javafx
    - Skipping the test attempting to access the user home directory
    - Skipping the test needing GPU
  * Shipping a version.xml file for class loading, retrieving it from its
    install path
  * Updating autopkgtests:
    - Running run-unit-test with xvfb-run as a display would be needed
    - Running build tests as autopkgtests with junit5 instead of former junit4

 -- Pierre Gruet <pgt@debian.org>  Sun, 13 Nov 2022 14:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,18 @@
                javahelper,
                ant,
                ant-optional,
+               antlr4,
                default-jdk,
                libjam-java,
                libhmsbeagle-java,
                libcolt-free-java,
+               libcommons-math3-java,
                libfest-util-java,
                libantlr4-runtime-java,
-               junit4,
-               texlive-latex-base,
-               texlive-latex-extra
-Standards-Version: 4.6.0
+               libassertj-core-java,
+               libopenjfx-java,
+               junit5
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/beast2-mcmc
 Vcs-Git: https://salsa.debian.org/med-team/beast2-mcmc.git
 Homepage: https://www.beast2.org
@@ -26,15 +28,10 @@
 
 Package: beast2-mcmc
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libhmsbeagle-java,
-         libjam-java,
-         libcolt-free-java,
-         libantlr4-runtime-java,
+Depends: ${misc:Depends},
          ${java:Depends},
-         default-jre | java9-runtime
-Suggests: beast2-mcmc-doc
+         default-jre,
+         openjfx
 Description: Bayesian MCMC phylogenetic inference
  BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
  sequences. It is entirely orientated towards rooted, time-measured
@@ -68,23 +65,3 @@
  analyses and a suit of programs for analysing the results.
  .
  This package contains the example data.
-
-Package: beast2-mcmc-doc
-Architecture: all
-Section: doc
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Enhances: beast2-mcmc
-Multi-Arch: foreign
-Description: Bayesian MCMC phylogenetic inference - documentation
- BEAST is a cross-platform program for Bayesian MCMC analysis of molecular
- sequences. It is entirely orientated towards rooted, time-measured
- phylogenies inferred using strict or relaxed molecular clock models. It
- can be used as a method of reconstructing phylogenies but is also a
- framework for testing evolutionary hypotheses without conditioning on a
- single tree topology. BEAST uses MCMC to average over tree space, so that
- each tree is weighted proportional to its posterior probability. Included
- is a simple to use user-interface program for setting up standard
- analyses and a suit of programs for analysing the results.
- .
- This package contains the documentation.

## beast2-mcmc 2.7.3+dfsg

=== debian/changelog ===
beast2-mcmc (2.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Allow failures in piuparts in Salsa CI

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 21:05:50 +0100

beast2-mcmc (2.7.2+dfsg-2) unstable; urgency=medium

  * Deactivating some start-up actions:
    - The check for new versions of beast,
    - The attempt to install the jars elsewhere (Closes: #1025829)
  * Including the paths to shared libraries in java.library.path when launching
    beast2-mcmc, beauti2 and treeannotator2
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sun, 18 Dec 2022 15:08:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,14 +27,28 @@
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 PDFLATEX:=pdflatex -interaction=batchmode
 
-override_dh_auto_build:
-	# move tests requiring fest.swing out of the way
-	mv src/test/beast/app/beauti debian/fest_swing_tests
-	dh_auto_build
-	mv debian/fest_swing_tests src/test/beast/app/beauti
-
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
 override_dh_auto_clean:
-	# skip as it needs patches applied
+	# skip as it needs patches applied, only remove our files generated manually
+	# with antlr4.
+	if [ -e debian/treeparser ]; then \
+	    rm src/beast/base/evolution/tree/treeparser/*.java; \
+	    mv debian/treeparser/*.java src/beast/base/evolution/tree/treeparser; \
+	fi
+
+execute_before_dh_auto_configure:
+	# Replacing upstream .java files generated by a recent antlr4 with ones
+	# generated on-the-fly with Debian-packaged antlr4.
+	mkdir debian/treeparser
+	mv src/beast/base/evolution/tree/treeparser/*.java debian/treeparser
+	antlr4 -visitor -listener -package beast.base.evolution.tree.treeparser src/beast/base/evolution/tree/treeparser/*.g4
+
+override_dh_auto_build:
+	ant -Duser.name debian -f beastfx/build.xml dist_all_BEAST dist_all_BeastFX
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	ant -Duser.name debian -f beastfx/build.xml junit
+endif

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre)\d*)$/$1~$2/, \
 repacksuffix=+dfsg, dversionmangle=auto, repack, compression=xz, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/CompEvol/beast2/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian

opts="component=beastfx, mode=git, pgpmode=none" \
 https://github.com/CompEvol/BeastFX.git HEAD ignore

## beast2-mcmc 2.7.5+dfsg

=== debian/changelog ===
beast2-mcmc (2.7.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Do not report pre-releases

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 14:58:08 +0200

## beast2-mcmc 2.7.6+dfsg

=== debian/changelog ===
beast2-mcmc (2.7.6+dfsg-1) unstable; urgency=medium

  * Fixing the clean target (Closes: #1043696, #1049745)

  [ Andreas Tille ]
  * New upstream version
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Pierre Gruet <pgt@debian.org>  Sat, 02 Dec 2023 23:33:10 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libassertj-core-java,
                libopenjfx-java,
                junit5
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/beast2-mcmc
 Vcs-Git: https://salsa.debian.org/med-team/beast2-mcmc.git
 Homepage: https://www.beast2.org

=== debian/rules ===
--- 
+++ 
@@ -30,13 +30,23 @@
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
-override_dh_auto_clean:
-	# skip as it needs patches applied, only remove our files generated manually
-	# with antlr4.
+override_dh_clean:
+	# Removing our files generated manually with antlr4.
 	if [ -e debian/treeparser ]; then \
 	    rm src/beast/base/evolution/tree/treeparser/*.java; \
 	    mv debian/treeparser/*.java src/beast/base/evolution/tree/treeparser; \
+	    rm -rf debian/treeparser; \
 	fi
+	# Removing the build dirs, with build .class, .jar and .zip inside
+	rm -rf build beastfx/build release/package
+	# Saving three files ro restore the orig source tree after dh_clean
+	for F in examples/nexus/primate-mtDNA.nex~ examples/nexus/ringe.nex~ examples/testHKY.xml~; do \
+	    cp $$F $$F.save; \
+	done
+	dh_clean
+	for F in examples/nexus/primate-mtDNA.nex~ examples/nexus/ringe.nex~ examples/testHKY.xml~; do \
+	    mv $$F.save $$F; \
+	done
 
 execute_before_dh_auto_configure:
 	# Replacing upstream .java files generated by a recent antlr4 with ones

=== debian/tests/control ===
Test-Command: xvfb-run --server-args="-screen 0 1024x768x24" ./debian/tests/run-unit-test
Depends: @, xauth, xvfb
Restrictions: allow-stderr

Tests: run-build-tests
Depends: beast2-mcmc, default-jdk, junit5, libcommons-math3-java
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre)\d*)$/$1~$2/, \
 repacksuffix=+dfsg, dversionmangle=auto, repack, compression=xz, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/CompEvol/beast2/tags (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@ debian

opts="component=beastfx, mode=git, pgpmode=none" \
 https://github.com/CompEvol/BeastFX.git HEAD ignore
